package com.muyu.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/26 21:47
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "MessageDetailEditReq", description = "报文详情")
public class MessageDetailEditReq {

    private static final long serialVersionUID = 1L;

    /** 指标项key */
    @ApiModelProperty(name = "指标项key", value = "指标项key")
    private String messageKey;

    /** 起始位 */
    @ApiModelProperty(name = "起始位", value = "起始位")
    private Long startBit;

    /** 终止位 */
    @ApiModelProperty(name = "终止位", value = "终止位")
    private Long stopBit;

    /** 指标项标签 */
    @ApiModelProperty(name = "指标项标签", value = "指标项标签")
    private String label;

    /** 类型 */
    @ApiModelProperty(name = "类型", value = "类型")
    private String type;

}
