package com.muyu.vehicle.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.FaultRecord;
import com.muyu.domain.req.FaultRecordReqVo;
import com.muyu.domain.vo.FaultRecordVo;

import java.util.List;

/**  车辆故障记录
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/20 15:23
 */

public interface FaultRecordMapper extends BaseMapper<FaultRecord> {


    void updateByFaultRecord(FaultRecord build);

    FaultRecord getByFaultRecord(FaultRecord faultRecord);

    List<FaultRecordVo> countList(FaultRecordReqVo recordReqVo);


}
