package com.muyu.domain.data;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/** 报文类型
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/26 17:04
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName("message")
public class Message {
    /**
     * id
     * */
    private Long id;
    /**
     * 名字
     * */
    private String name;
    /**
     * 描述
     * */
    private String description;


}
