package com.muyu.vehicle.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.data.MessageDetail;
import com.muyu.vehicle.mapper.MessageDetailMapper;
import com.muyu.vehicle.service.MessageDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/26 21:51
 */
@Service
public class MessageDetailServiceImpl extends ServiceImpl<MessageDetailMapper, MessageDetail> implements MessageDetailService {


    @Autowired
    private MessageDetailMapper messageDetailMapper;


    @Override
    public List<MessageDetail> list(MessageDetail messageDetail) {
        LambdaQueryWrapper<MessageDetail> queryWrapper = new LambdaQueryWrapper<>();

        return list(queryWrapper);
    }

    @Override
    public void submit(MessageDetail vehicleMessages) {
        messageDetailMapper.submit(vehicleMessages);
    }

}
