package com.muyu.vehicle.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.data.MessageDetail;

import java.util.List;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/26 21:50
 */
public interface MessageDetailService extends IService<MessageDetail> {

    /**
     * 查询报文详情列表
     *
     * @param messageDetail 报文详情
     * @return 报文详情集合
     */
    public List<MessageDetail> list(MessageDetail messageDetail);


    void submit(MessageDetail vehicleMessages);

}
